<template>
  <panel-card title="各类报警统计">
    <template slot="func">
      <el-col :span="16">
        <el-date-picker
          v-model="timeRange"
          type="datetimerange"
          range-separator="至"
          size="small"
          value-format="yyyy-MM-dd HH:mm:ss"
          start-placeholder="开始时间"
          end-placeholder="结束时间"
        />
      </el-col>
    </template>
    <alarm-statics-by-type :time-range="timeRange" />
  </panel-card>
</template>

<script>
import PanelCard from '@/components/BigData/Card/panelCard'
import alarmStaticsByType from '@/views/staticCharts/AlarmStaticsByType'
import { getSearchLastWeekTime } from '@/utils/dateutils'
export default {
  name: 'AlarmStaticsByContent',
  components: {
    alarmStaticsByType, PanelCard
  },
  data() {
    return {
      timeRange: []
    }
  },
  mounted() {
    this.timeRange = getSearchLastWeekTime()
  },
  methods: {
    refresh() {

    }
  }
}
</script>

<style scoped>

</style>
